%define module		DB_File
%define version		1.802
%define release		1mdk

Summary:	Perl module for use of the Berkeley DB version 1
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRequires:	db3-devel perl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Requires:	perl >= 5.601

%description

DB_File is a module which allows Perl programs to make use of the
facilities provided by Berkeley DB version 1. (DB_File can be built with
version 2 or 3 of Berkeley DB, but it will only support the 1.x
features), 

If you want to make use of the new features available in Berkeley DB
2.x or 3.x, use the Perl module BerkeleyDB instead. 

Berkeley DB is a C library which provides a consistent interface to a 
number of database formats. DB_File provides an interface to all three
of the database types (hash, btree and recno) currently supported by
Berkeley DB.

For further details see the documentation included at the end of the
file DB_File.pm.                

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%files
%defattr(-,root,root)
%doc README
%{perl_archlib}/*.pm
%{perl_archlib}/auto/DB_File

%changelog
* Fri Jan 18 2002 Franois Pons <fpons@mandrakesoft.com> 1.802-1mdk
- 1.802.

* Thu Nov 08 2001 Franois Pons <fpons@mandrakesoft.com> 1.79-1mdk
- 1.79.

* Tue Oct 16 2001 Stefan van der Eijk <stefan@eijk.nu> 1.78-2mdk
- BuildRequires: db3-devel perl-devel

* Fri Aug 31 2001 Franois Pons <fpons@mandrakesoft.com> 1.78-1mdk
- 1.78.
- remove filelist, now use globing and macros.

* Tue Aug 28 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.73-5mdk
- Clean rebuild against libdb-3.2

* Thu Jul 19 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.73-4mdk
- rebuild with new libdb-3.2
- sanitize spec file (s/Copyright/License, distribution tag, docs, license)
- renamed spec file to perl-DB_File.spec

* Wed Apr 25 2001 Pixel <pixel@mandrakesoft.com> 1.73-3mdk
- rebuild with new perl

* Sat Sep 16 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.73-2mdk
- Call spec-helper before creating filelist

* Wed Aug 09 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.73-1mdk
- Completely re-made (macroize) package for 1.73 (update)

